package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据导入异常数据记录实体
 * 表名 mall_export_exception_data
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-07 09:41:15
 */
public class ExportExceptionDataEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 导入商品异常数据
     */
    private String exportExceptionData;
    /**
     * 导入数据类型：1：商品导入；2：普通商品导入
     */
    private String exportDataType;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：导入商品异常数据
     */
    public void setExportExceptionData(String exportExceptionData) {
        this.exportExceptionData = exportExceptionData;
    }

    /**
     * 获取：导入商品异常数据
     */
    public String getExportExceptionData() {
        return exportExceptionData;
    }
    /**
     * 设置：导入数据类型：1：商品导入；2：普通商品导入
     */
    public void setExportDataType(String exportDataType) {
        this.exportDataType = exportDataType;
    }

    /**
     * 获取：导入数据类型：1：商品导入；2：普通商品导入
     */
    public String getExportDataType() {
        return exportDataType;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public Integer getUserId() {
        return userId;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
